Bug 11228 - rp3-generated config doesn't appear to make use of DNS settings
Summary: rp3-generated config doesn't appear to make use of DNS settings
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-04 21:47 UTC by Alex Butcher
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 20:44:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alex Butcher 2000-05-04 21:47:33 UTC
DNS server IP addresses aren't copied into /etc/resolv.conf on
establishing a connection.

Comment 1 Nalin Dahyabhai 2000-05-22 18:47:59 UTC
Is the remote end actually supplying DNS server names?  Is PEERDNS set properly
in /etc/sysconfig/network-scripts/ifcfg-ppp*?

Comment 2 Alex Butcher 2000-05-22 20:44:59 UTC
Hi -

In answer to your question, no, I don't think the remote end /is/ supplying
DNS server names, which is why I entered the two IP addresses of my DNS servers
in rp3-config->edit->Advanced->First/Second DNS Server (optional).

I hadn't used linuxconf to setup the dialup connection first (which I suspect
might have worked), I just used rp3-config.

I eventually hacked the files manually, which got me working, but it would be
nice for newbies if rp3-config worked out-of-the-box.

Cheers,
Alex.

Comment 3 Nalin Dahyabhai 2000-09-12 19:03:31 UTC
This *should* be fixed in the latest Raw Hide build of initscripts.  There was
some goofy logic in ifup-post that dealt with use of the DNS1 and DNS2 values
which rp3-config edits.


Note You need to log in before you can comment on or make changes to this bug.